Name: H5Topen
Signature:
  hid_t `H5Topen`(hid_t `loc_id`, const char * `name` )
Purpose:
  Opens a named datatype.
Description:
  `H5Topen` opens a named datatype at the location specified by `loc_id` and returns an identifier for the datatype. `loc_id` is either a file or group identifier. The identifier should eventually be closed by calling `H5Tclose` to release resources.
Parameters:

hid_t `loc_id` | IN: A file or group identifier.
const char * `name` | IN: A datatype name, defined within the file or group identified by `loc_id`.

Returns:
  Returns a named datatype identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5topen_f

      SUBROUTINE h5topen_f(loc_id, name, type_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: loc_id    ! File or group identifier
        CHARACTER(LEN=*), INTENT(IN) :: name    ! Datatype name within file or
                                                ! group
        INTEGER(HID_T), INTENT(out) :: type_id  ! Datatype identifier
        INTEGER, INTENT(OUT) :: hdferr          ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5topen_f